com.smartgwt.client.types

## Enum HiliteIconPosition

- java.lang.Object
- - java.lang.Enum<HiliteIconPosition>
  - - com.smartgwt.client.types.HiliteIconPosition

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<HiliteIconPosition>

      public enum HiliteIconPosition
      extends java.lang.Enum<HiliteIconPosition>
      implements ValueEnum

  Where a `hilite icon` will be placed relative to normal cell content.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER` icon will be placed after the normal cell contents
    `BEFORE` icon will be placed before the normal cell contents
    `REPLACE` icon will be shown instead of the normal cell contents

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static HiliteIconPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HiliteIconPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE

          public static final HiliteIconPosition BEFORE

      icon will be placed before the normal cell contents

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "before".

    - #### AFTER

          public static final HiliteIconPosition AFTER

      icon will be placed after the normal cell contents

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "after".

    - #### REPLACE

          public static final HiliteIconPosition REPLACE

      icon will be shown instead of the normal cell contents

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "replace".

  - ### Method Detail

    - #### values

          public static HiliteIconPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HiliteIconPosition c : HiliteIconPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HiliteIconPosition valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`